> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/advanced-filters/transactions-transactions-token-token-and-software_token-software_token-and-key-key-and-value-value.md).

# transactions \[/transactions/?token={token}\&software\_token={software\_token}\&key={key}\&value={value}\&value={value}\&operator={operator}44]

This api is used to fetch a single generated invoice from WorkorderApp.

Filters can be given by adding a key and values array to the URL.\
Adding a single filter: \&key=key1\&value=value1\&operator=gt\
Adding multiple filters: \&key\[]=key1\&value\[]=value1\&operator\[]=eq\&key\[]=key2\&value\[]=value2\&operator\[]=gt

Following operators are allowed:

| Operator | Description                 |
| -------- | --------------------------- |
| li       | Like (%)                    |
| eq       | Equal (=)                   |
| ne       | Not equal (!=)              |
| gt       | Greather than (>)           |
| ge       | Greather than or equal (>=) |
| lt       | Less than (<)               |
| le       | Less than or equal (<=)     |

Transaction parameters. The invoice id of a transaction transaction can be empty if a transaction is not assigned to an invoice. Once it is assigned the balance of the invoice will be adjusted.

| Paramter                       | Description                                | Type         |
| ------------------------------ | ------------------------------------------ | ------------ |
| int\_inv\_id                   | Invoice ID                                 | int(11)      |
| int\_transaction\_id           | Transaction ID                             | varchar(255) |
| int\_external\_transaction\_id | External Transaction ID                    | varchar(255) |
| int\_description               | Transaction Description                    | varchar(255) |
| int\_amount                    | Transaction amount                         | decimal(7,2) |
| int\_type                      | Transaction type                           | varchar(255) |
| int\_type\_description         | Transaction type description               | varchar(255) |
| int\_status                    | Transaction status,NEW or PROCESSED        | varchar(55)  |
| int\_user                      | User/entity who registered the transaction | varchar(255) |
| int\_timestamp                 | Timestamp registered                       | timestamp    |

* Parameters
  * token (string,required ,`0f24d1e07c8609c0fb111fbcc168f9aaa`) ... WorkorderApp customer token
  * software\_token (string,required , `c316c4532fa7cccdcd572491d9552f80945a51366`) ... WorkorderApp external software token
  * key (string, optional, `int_transaction_id`) ... Key that is matched to the value by the operator
  * value (integer, optional, `0000009CSD572CE75E21119`) ... value that is matched to the key by the operator
  * operator (string, optional, `eq`) ... Operator used to compare the value the key

#### Get transactions \[GET]

* Response 200 (application/json)
  * {"code":200,"messages":\[],"response":\[{"int\_inv\_id":null,"int\_transaction\_id":"0000009CSD572CE75E21119","int\_external\_transaction\_id":"RABO1212348797128314512435","int\_description":"Bank transaction","int\_amount":"100.43","int\_type":"BANK","int\_type\_description":"","int\_user":"Fremke","int\_timestamp":"2018-07-31 11:33:45"},{"int\_inv\_id":"164","int\_transaction\_id":"0000009B601572CE75E21111","int\_external\_transaction\_id":"","int\_description":"Cash transaction","int\_amount":"50.00","int\_type":"CASH","int\_type\_description":"","int\_user":"Femke","int\_timestamp":"2018-07-31 13:22:38"},{"int\_inv\_id":"164","int\_transaction\_id":"0000005B601172CE75E21418","int\_external\_transaction\_id":"IZETTLE5415642351431123231","int\_description":"iZettle payment","int\_amount":"121.00","int\_type":"iZettle","int\_type\_description":"","int\_user":"Femke","int\_timestamp":"2018-07-31 09:36:18"}]}

#### Add transactions \[POST]

* Request Transaction data posted. (application/json)
  * \[{"int\_inv\_id":null,"int\_transaction\_id":"0000009CSD572CE75E21119","int\_external\_transaction\_id":"RABO1212348797128314512435","int\_description":"Bank transaction","int\_amount":"100.43","int\_type":"BANK","int\_type\_description":"","int\_user":"Fremke","int\_timestamp":"2018-07-31 11:33:45"},{"int\_inv\_id":"164","int\_transaction\_id":"0000009B601572CE75E21111","int\_external\_transaction\_id":"","int\_description":"Cash transaction","int\_amount":"50.00","int\_type":"CASH","int\_type\_description":"","int\_user":"Femke","int\_timestamp":"2018-07-31 13:22:38"},{"int\_inv\_id":"164","int\_transaction\_id":"0000005B601172CE75E21418","int\_external\_transaction\_id":"IZETTLE5415642351431123231","int\_description":"iZettle payment","int\_amount":"121.00","int\_type":"iZettle","int\_type\_description":"","int\_user":"Femke"}]
* Response 200 (application/json)
  * { "code": 200, "messages": \[], "response": \[ { "int\_inv\_id": null, "int\_transaction\_id": "0000005B6962EBA840119", "int\_external\_transaction\_id": "RABO1212348797128314512435", "int\_description": "Bank transaction", "int\_amount": "100.43", "int\_type": "BANK", "int\_type\_description": "", "int\_status": "PROCESSED", "int\_user": "OpenAPI", "int\_timestamp": "2018-07-31 11:33:45" }, { "int\_inv\_id": "164", "int\_transaction\_id": "0000005B6962EBA8BD116419", "int\_external\_transaction\_id": "", "int\_description": "Cash transaction", "int\_amount": "50.00", "int\_type": "CASH", "int\_type\_description": "", "int\_status": "PROCESSED", "int\_user": "OpenAPI", "int\_timestamp": "2018-07-31 13:22:38" }, { "int\_inv\_id": "164", "int\_transaction\_id": "0000005B6962EBA9B7116419", "int\_external\_transaction\_id": "IZETTLE5415642351431123231", "int\_description": "iZettle payment", "int\_amount": "121.00", "int\_type": "iZettle", "int\_type\_description": "", "int\_status": "PROCESSED", "int\_user": "OpenAPI", "int\_timestamp": "2018-08-07 11:14:19" } ] }

#### Update transactions \[PUT]

* Request Transaction data posted. `response` will contain the amount of transactions affected. The request should contain int\_transaction\_id or int\_external\_transaction\_id as a reference to update.(application/json)
  * \[{"int\_transaction\_id":"0000009CSD572CE75E21119","int\_inv\_id":"164"},{"int\_external\_transaction\_id":"IZETTLE5415642351431123231","int\_inv\_id":null}]
* Response 200 (application/json)
  * {"code":200,"messages":\[],"response":2}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/advanced-filters/transactions-transactions-token-token-and-software_token-software_token-and-key-key-and-value-value.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
